Bug 235698 - [PATCH] irc/irssi: Update to 1.2.0
Summary: [PATCH] irc/irssi: Update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-02-12 16:10 UTC by David O'Rourke
Modified: 2019-03-01 04:58 UTC (History)
1 user (show)

See Also:
dor.bsd: maintainer-feedback+


Attachments
irc/irssi: Update to 1.2.0 (8.08 KB, patch)
2019-02-12 16:10 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David O'Rourke 2019-02-12 16:10:25 UTC
Created attachment 201959 [details]
irc/irssi: Update to 1.2.0

This slightly larger than usual patch updates irssi to 1.2.0.

In addition to this, it takes care of a few other things
  - Adds an OTR option for compiling the OTR module which irssi gained in 1.2.0
  - Adds a UTF8PROC option for enabling utf8proc support
  - Removes a LibreSSL patch that is no longer needed due to the issue being fixed upstream
  - Regenerates remaining patches due to one of the patches failing to portlint properly
  - Fixes a few other minor portlint issues in the Makefile
  - Alphabetises the OPTIONS, mostly for my own sanity
  - Breaks some of the longer lines over multiple lines

The release announcement is available at https://irssi.org/2019/02/11/irssi-1.2.0-released/ and the detailed changelog is available at https://irssi.org/NEWS/#v1-2-0

-David
Comment 1 tobias.rehbein 2019-02-18 20:20:24 UTC
For what it's worth: I applied this patch to my local ports tree and irssi 1.2.0 is working without any issues ony 12.0/amd64 system.
Comment 2 commit-hook freebsd_committer 2019-03-01 04:57:11 UTC
A commit references this bug:

Author: swills
Date: Fri Mar  1 04:56:39 UTC 2019
New revision: 494233
URL: https://svnweb.freebsd.org/changeset/ports/494233

Log:
  irc/irssi: Update to 1.2.0

  PR:		235698
  Submitted by:	David O'Rourke <dor.bsd@xm0.uk> (maintainer)

Changes:
  head/irc/irssi/Makefile
  head/irc/irssi/distinfo
  head/irc/irssi/files/patch-Makefile.in
  head/irc/irssi/files/patch-configure.ac
  head/irc/irssi/files/patch-perl-Makefile
  head/irc/irssi/files/patch-src_core_network-openssl.c
  head/irc/irssi/pkg-plist
Comment 3 Steve Wills freebsd_committer 2019-03-01 04:58:44 UTC
Committed, thanks!